Nov 012011
 
armv6_armv7_problem

Xcode4.2で最終ビルドしてアーカイブするときに起こる警告。バイナリにarmv6とarmv7が含まれておらず少なくともarmv6が必要だということを警告している。

iPhone/iPod Touch: application executable is missing a required architecture.  At least one of the following architecture(s) must be present: armv6 (-19033)

このアラートの問題を解決する。ここでアーキテクチャの問題はビルドの設定の問題である。

  1. ProjectのBuild Settingsに移動。
  2. Archietecturesセクション
  3. $(ARCHS_STANDARD_32_BIT)を探す
  4. $(ARCHS_STANDARD_32_BIT)をarmv6 armv7に変更
  5. Build Active Architecture Only=NOにする
armv6_armv7_problem

Xcode4.2のProject設定

コメント

個のコメント

Powered by Facebook Comments

 Posted by at 13:02

Sorry, the comment form is closed at this time.